/***************************************************************************
                          eztranslation  -  description
                             -------------------
    begin                : Mar. 11, 2005
    copyright            : (C) 2005 by Allen
    email                : bon_ami_@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   Explicit Distribution Limitation                                      *
 *   This rule overrides others below.                                     *
 *   This program may not be modified or used by, or, if possible,         *
 *   redistributed to people described as below,                           *
 *   1.Japanese who hold hostility against Chinese.                        *
 *   2.or, those who discriminate against people based solely on race,     *
 *     gender or sexual orientation.                                       *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/*
 *	EZ Translation sample code file
 */

#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
	const char *eng;
	char *chi;
	int fl;

	if ((fl = eztranslationopen()) < 1)
	{
		printf("%d:no or empty dictionary file(eztranslation.def) found!\n", fl);
		return -1;
	}
	if ((argc < 2) || (0 == strcasecmp(argv[1], "-h"))
		|| (0 == strcasecmp(argv[1], "--help")))
	{
		eng = "This is a sample using EZ Translation. "
			"You can append a string in command line to translate.";
	}
	else
		eng = argv[1];
	printf("%s\n", eng);
	if ((fl = eztranslationtran(eng, &chi)) < 0)
	{
		printf("%d:Translation failure\n", fl);
	}
	else
		printf("%s\n", chi);
	eztranslationclose();
	return 0;
}
